package com.bocloud.cmp.provider.kubernetes;

import com.bocloud.cmp.model.kubernetes.NamespaceModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * k8s namespace
 *
 * @时间 2019年8月21日
 */
public interface NamespaceProvider extends SuperProvider {
    public BocloudResult list();

    public BocloudResult create(NamespaceModel model);

    public BocloudResult remove(NamespaceModel model);

    public BocloudResult detail(NamespaceModel model);

    public BocloudResult modify(NamespaceModel model);
}
